Bug 1601 - Support swap partition in internal memory card
: Support swap partition in internal memory card
Status: RESOLVED FIXED
Product: Core
Kernel
: 3.1
: All Maemo
: Low enhancement (vote)
: 5.0-alpha
Assigned To: unassigned
: linux-kernel-bugs
:
: moreinfo
:
:
  Show dependency tree
 
Reported: 2007-06-29 23:18 UTC by David Hagood
Modified: 2009-03-02 13:36 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description David Hagood (reporter) 2007-06-29 23:18:55 UTC
The system should support auto-adding of swap partitions found on memory cards
in addition to swap files. Just as swap files are added when the card is
inserted and removed when the card access door is opened, swap partitions on
the card would be added when the door is closed and removed when the door is
opened.

The advantages of using a swap partition over a swap file are:
1) Better performance - you don't have to go through the FAT file system layer,
and you don't have to deal with fragmentation of the file system.
2) The swap partition can remain active while the rest of the card is made
available via USB (since a Windows box wouldn't know what to do with a swap
partition, and a Linux box wouldn't make it active by default.)
3) No swap file visible to Windows users = less likelihood of them doing
something silly with it.
Comment 1 Eero Tamminen nokia 2009-02-02 10:58:58 UTC
> The system should support auto-adding of swap partitions found on memory cards
> in addition to swap files. Just as swap files are added when the card is
> inserted and removed when the card access door is opened, swap partitions on
> the card would be added when the door is closed and removed when the door is
> opened.

Fremantle is not going to support swap files (especially on easily corrupted
FAT file system like Diablo...), but it's going to have support for a swap
partition.  The (ke-recv) swap handling isn't going to be as volatile as
suggested above though.

(Imagine a desktop system where swap could be implicitly turned on and off by
"unrelated" user actions, result would be just crashing user apps on swap
unmount when the apps wouldn't fit into RAM.)
Comment 2 Quim Gil nokia 2009-02-02 11:14:32 UTC
(In reply to comment #1)
> Fremantle is not going to support swap files (especially on easily corrupted
> FAT file system like Diablo...), but it's going to have support for a swap
> partition.  The (ke-recv) swap handling isn't going to be as volatile as
> suggested above though.

David, would you be happy about a change in the summary:

Support swap partition in  memory card

and a resolution of FIXED in Fremantle?
Comment 3 David Hagood (reporter) 2009-02-02 14:25:15 UTC
The change in the summary, unqualified yes, I'd support that.

The FIXED - assuming the intention is to allow swap partitions on an internal
memory card but not on an external memory card, then I'd support the FIXED - I
would agree that supporting swap on (easily) removable media is a Bad Idea.
Comment 4 Quim Gil nokia 2009-02-02 22:37:11 UTC
Deal!